version: "3.9"

services:
  application:
    container_name: mapbox-app
    build:
      context: ..
      dockerfile: Dockerfile
    restart: always
    env_file: ../.env
    ports:
      - 80:80
  server:
    container_name: mapbox-server
    build:
      context: ../../mapbox-server
      dockerfile: Dockerfile
    restart: always
    env_file: ../../mapbox-server/.env
    ports:
      - 3000:3000
    depends_on:
      - database
  database:
    container_name: mapbox-database
    image: postgis/postgis:16-3.4-alpine
    restart: always
    env_file: ../../mapbox-server/.env
    ports:
      - 5433:5432
